District Court District API
District Court District API provides the list of available District court districts and their corresponding states names across different locations.
Request URL
POST
https://api.g99.co.in/api/v1/courtxdc/service/district
Request Body Parameters
| Type |
Name |
Optional |
Description |
| String |
stateId |
Required |
The unique identification number for State. |
Sample Code
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.g99.co.in/api/v1/courtxdc/service/district',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"stateId": "4"
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
import json
url = "https://api.g99.co.in/api/v1/courtxdc/service/district"
payload = json.dumps({
"stateId": "4"
})
headers = {
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.g99.co.in/api/v1/courtxdc/service/district");
var content = new StringContent("{\r\n \"stateId\": \"4\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Response
HTTP status code 200
| Key |
Type |
Description |
| districtId |
String |
The unique identification number for District. |
| districtName |
String |
Name of District. |
Sample Response
Sample response for valid document
[
{
"districtId": "1",
"districtName": "Alappuzha"
},
{
"districtId": "2",
"districtName": "Ernakulam"
}
]
Error Response
| Parameter |
Type |
Description |
| status |
Number |
Unique error codes for different errors. Always available. |
| message |
String |
Error message describing the error. Always Available. |
| error |
Boolean |
True / False for different errors. Always available. |
Error Codes
| HTTP Status |
Error Code |
Error Message |
| 400 |
4001 |
Malformed data or missing required parameter values. |
| 500 |
5001 |
Request could not be processed. Please try again later. |
Sample Error Response
{
"message": "Malformed data or missing required parameter values.",
"status": 4001,
"error": True
}